{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}

{% block content %}

<div class="row">
    <div class="col-2">
        <div class="row">
            <div class="col">
                <p class="h5">Filters</p>
                <div class="dropdown-divider"></div>
                <h4><small class="text-muted">Тип</small></h4>
                <form action="{% url 'purse:filter' %}" method="get" class="mb-3">
                    {% for value in view.get_types %}
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" id="{{ value.type }}" name="type" value="{{ value.type }}">
                        <label class="custom-control-label" for="{{ value.type }}">{% if value.type == 'i' %}Доход{% else %}Расход{% endif %}</label>
                    </div>
                    {% endfor %}
                    <h4><small class="text-muted">Категория</small></h4>
                    {% for value in view.get_categories %}
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" id="{{ value.name }}">
                        <label class="custom-control-label" for="{{ value.name }}">{{ value.name }}</label>
                    </div>
                    {% endfor %}
                    <button class="btn btn-sm btn-outline-secondary mt-2" type="submit">Показать</button>
                </form>
            </div>
        </div>
    </div>
    <div class="col-10" style="min-height: 832.5px">
    <div class="row">
        <div class="col">
            <div class="row">
                <div class="col text-left">
                    <a href="{% url 'purse:history' %}" class="btn btn-sm btn-outline-secondary">Назад</a>
                </div>
                <div class="col text-right">
                    <p class="h5">Детализация за {{ object_list.0.month_str }} {{ object_list.0.year }} года:</p>
                </div>
            </div>
            <div class="dropdown-divider"></div>
            {% for i in object_list %}
            <div class="card mb-1">
                <div class="{% if i.type == 'i' %}card-body border border-success{% else %}card-body border border-danger{% endif %}">
                    <div class="row">
                        <div class="col-2 px-1">
                            <small class="form-text text-muted">Название: </small>
                            <small>{{ i.title }}</small>
                        </div>
                        <div class="col-1 px-1">
                            <small class="form-text text-muted">Тип: </small>
                            <small>{% if i.type == 'i' %}Доход{% else %}Расход{% endif %}</small>
                        </div>
                        <div class="col-2 px-1">
                            <small class="form-text text-muted">Категория: </small>
                            <small>{{ i.category }}</small>
                        </div>
                        <div class="col-1 px-1">
                            <small class="form-text text-muted">Сумма: </small>
                            <small>{{ i.amount }} ₽</small>
                        </div>
                        <div class="col-2 px-1">
                            <small class="form-text text-muted">Дата: </small>
                            <small>{{ i.created_at|date:"d.m.Y" }}</small>
                        </div>
                        <div class="col-2 px-1">
                            <small class="form-text text-muted">День недели: </small>
                            <small>{{ i.created_at|date:"l" }}</small>
                        </div>
                        <div class="col-2 text-right p-0">
                            <a href="{% url 'purse:change_budget_entry' i.id %}" class="btn btn-sm btn-outline-info mt-3" title="Изменить">
                                <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-pencil-square"
                                     fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                                    <path fill-rule="evenodd"
                                          d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                                </svg>
                            </a>
                            <a href="{% url 'purse:delete_budget_entry' i.id %}" class="btn btn-sm btn-outline-danger mt-3" title="Удалить">
                                <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-trash-fill"
                                     fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd"
                                          d="M2.5 1a1 1 0 0 0-1 1v1a1 1 0 0 0 1 1H3v9a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V4h.5a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H10a1 1 0 0 0-1-1H7a1 1 0 0 0-1 1H2.5zm3 4a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 .5-.5zM8 5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7A.5.5 0 0 1 8 5zm3 .5a.5.5 0 0 0-1 0v7a.5.5 0 0 0 1 0v-7z"/>
                                </svg>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="dropdown-divider"></div>
            {% endfor %}
        </div>
    </div>
        {% if is_paginated %}
    <nav aria-label="...">
        <ul class="pagination pagination-sm">
            {% if not page_obj.has_previous %}
            <li class="page-item disabled">
                <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Предыдущая</a>
            </li>
            {% else %}
            <li class="page-item">
                <a class="page-link" href="?page={{ page_obj.previous_page_number }}" tabindex="-1" aria-disabled="true">Предыдущая</a>
            </li>
            {% endif %}
            {% for n in page_obj.paginator.page_range %}
                {% if page_obj.number == n %}
                    <li class="page-item active custom" aria-current="page">
                        <a class="page-link" href="?page={{ n }}">{{ n }} <span class="sr-only" style="background-color: black">(current)</span></a>
                    </li>
                {% elif n > page_obj.number|add:-3 and n < page_obj.number|add:3 %}
                    <li class="page-item custom"><a class="page-link" href="?page={{ n }}">{{ n }}</a></li>
                {% endif %}
            {% endfor %}

            {% if not page_obj.has_next %}
            <li class="page-item disabled">
                <a class="page-link" href="#" tabindex="-1">Следующая</a>
            </li>
            {% else %}
            <li class="page-item">
                <a class="page-link" href="?page={{ page_obj.next_page_number }}" tabindex="-1">Следующая</a>
            </li>
            {% endif %}
        </ul>
    </nav>
        {% endif %}
    </div>
</div>


<script src="{% static 'purse/js/script.js' %}"></script>

{% endblock %}

